Get webhook definition by ID - Fabric

Get webhook definition by ID

cURL

curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/webhook/{webhookId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
import requests

url = "https://prod01.oms.fabric.inc/api/v2/webhook/{webhookId}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/webhook/{webhookId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



HTTP Response Codes

Example Responses

{
  "target": "http://www.test.com",
  "protocol": "HTTP",
  "source": "OMS",
  "events": "[ORDER_CREATED]",
  "webhookId": "<string>",
  "tenantId": "<string>",
  "targetApiKey": "adfasdWdsaQFSsdf",
  "apiVersion": "<string>",
  "format": "application/json",
  "callbackUrl": "<string>",
  "createdDate": "2023-11-07T05:31:56Z",
  "updatedDate": "2023-11-07T05:31:56Z"
}
{
  "message": "No webhook definition present for the given webhook Id"
}
{
  "message": "Internal Server Error"
}

Authorizations

Authorization

Headers

Example:

"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"

Path Parameters

Response Structure

The response for a successful request will include the following fields: